/* /////////////////////////////////////////////////////////////////////////////
 * File:        recls_minmax.h
 *
 * Purpose:     min() / max() for the recls API
 *
 * Created:     5th March 2005
 * Updated:     6th March 2005
 *
 * Home:        http://recls.org/
 *
 * Copyright 2003-2005, Matthew Wilson and Synesis Software
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions are met:
 *
 * - Redistributions of source code must retain the above copyright notice, this
 *   list of conditions and the following disclaimer. 
 * - Redistributions in binary form must reproduce the above copyright notice,
 *   this list of conditions and the following disclaimer in the documentation
 *   and/or other materials provided with the distribution.
 * - Neither the name(s) of Matthew Wilson and Synesis Software nor the names of
 *   any contributors may be used to endorse or promote products derived from
 *   this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * ////////////////////////////////////////////////////////////////////////// */


#ifndef RECLS_INCL_H_RECLS_MINMAX
#define RECLS_INCL_H_RECLS_MINMAX

/* File version */
#ifndef RECLS_DOCUMENTATION_SKIP_SECTION
# define RECLS_VER_H_RECLS_MINMAX_MAJOR     1
# define RECLS_VER_H_RECLS_MINMAX_MINOR     0
# define RECLS_VER_H_RECLS_MINMAX_REVISION  2
# define RECLS_VER_H_RECLS_MINMAX_EDIT      2
#endif /* !RECLS_DOCUMENTATION_SKIP_SECTION */

/** \file recls_minmax.h min() / max() for the recls API */

/* /////////////////////////////////////////////////////////////////////////////
 * Includes
 */

#include "recls.h"
#include <stddef.h>

/* /////////////////////////////////////////////////////////////////////////////
 * Macros
 */

/** \def recls_min Returns the smaller of two values
 *
 * \param v1 The first of the two values
 * \param v2 The first of the two values
 *
 * \note This is a template function in C++, and is within the \c recls namespace
 */

#ifndef recls_max
# define recls_max(a, b)    (((b) < (a)) ? (a) : (b))
#endif /* !recls_max */

#ifndef recls_min
# define recls_min(a, b)    (((a) < (b)) ? (a) : (b))
#endif /* !recls_min */

/* /////////////////////////////////////////////////////////////////////////////
 * Namespace
 */

#if !defined(RECLS_NO_NAMESPACE)
namespace recls
{
#endif /* !RECLS_NO_NAMESPACE */

/* /////////////////////////////////////////////////////////////////////////////
 * Namespace
 */

#if !defined(RECLS_NO_NAMESPACE)
} /* namespace recls */
#endif /* !RECLS_NO_NAMESPACE */

/* ////////////////////////////////////////////////////////////////////////// */

#endif /* !RECLS_INCL_H_RECLS_MINMAX */

/* ////////////////////////////////////////////////////////////////////////// */
