////////////////////////////////////////////////////////////////////////////////
// FileSearch.h : Declaration of the FileSearch
//
// Updated: 31st May 2004

#ifndef __FILESEARCH_H_
#define __FILESEARCH_H_

#include "resource.h"       // main symbols

////////////////////////////////////////////////////////////////////////////////
// FileSearch

class ATL_NO_VTABLE FileSearch
	: public CComObjectRootEx<CComMultiThreadModelNoCS>
	, public CComCoClass<FileSearch, &CLSID_FileSearch>
	, public IDispatchImpl<IFileSearch, &IID_IFileSearch, &LIBID_RECLS_COMLib>
	, public IDispatchImpl<IFtpSearch, &IID_IFtpSearch, &LIBID_RECLS_COMLib>
	, public atlstl::SupportErrorInfoImpl<&IID_IFileSearch>
{
public:

DECLARE_REGISTRY_RESOURCEID(IDR_FILESEARCH)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(FileSearch)
	COM_INTERFACE_ENTRY(IFileSearch)
	COM_INTERFACE_ENTRY(IFtpSearch)
	COM_INTERFACE_ENTRY2(IDispatch, IFileSearch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
END_COM_MAP()

// IFileSearch
public:
	STDMETHOD(get_WildcardsAll)(/*[out, retval]*/ BSTR *pVal);
	STDMETHOD(get_PathSeparator)(/*[out, retval]*/ BSTR *pVal);
	STDMETHOD(get_PathNameSeparator)(/*[out, retval]*/ BSTR *pVal);
	STDMETHOD(Search)(/*[in]*/ BSTR searchRoot, /*[in]*/ BSTR pattern, /*[in]*/ long flags, /*[out, retval]*/ IUnknown **ppenum);
	STDMETHOD(get_Roots)(/* [out, retval] */ LPUNKNOWN *pVal);

// IFtpSearch
public:
	STDMETHOD(Search)(/*[in]*/ BSTR host, /*[in]*/ BSTR username, /*[in]*/ BSTR password, /*[in]*/ BSTR searchRoot, /*[in]*/ BSTR pattern, /*[in]*/ long flags, /*[out, retval]*/ IUnknown **ppenum);
};

////////////////////////////////////////////////////////////////////////////////

#endif //__FILESEARCH_H_

////////////////////////////////////////////////////////////////////////////////
