/* /////////////////////////////////////////////////////////////////////////////
 * File:        FileSearch.java
 *
 * Purpose:     Implementation of the org.recls.FileSearch class
 *
 * Created      3rd June 2004
 * Updated:     3rd June 2004
 *
 * Author:      Matthew Wilson
 *
 * License:     (Licensed under the Synesis Software Standard Source License)
 *
 *              Copyright (C) 2002-2004, Synesis Software Pty Ltd.
 *
 *              All rights reserved.
 *
 *              www:        http://www.recls.org/
 *                          http://www.synesis.com.au/software
 *                          http://www.synsoft.org/
 *
 *              email:      admin@recls.org
 *
 *              Redistribution and use in source and binary forms, with or
 *              without modification, are permitted provided that the following
 *              conditions are met:
 *
 *              (i) Redistributions of source code must retain the above
 *              copyright notice and contact information, this list of
 *              conditions and the following disclaimer.
 *
 *              (ii) Any derived versions of this software (howsoever modified)
 *              remain the sole property of Synesis Software.
 *
 *              (iii) Any derived versions of this software (howsoever modified)
 *              remain subject to all these conditions.
 *
 *              (iv) Neither the name of Synesis Software nor the names of any
 *              subdivisions, employees or agents of Synesis Software, nor the
 *              names of any other contributors to this software may be used to
 *              endorse or promote products derived from this software without
 *              specific prior written permission.
 *
 *              This source code is provided by Synesis Software "as is" and any
 *              warranties, whether expressed or implied, including, but not
 *              limited to, the implied warranties of merchantability and
 *              fitness for a particular purpose are disclaimed. In no event
 *              shall the Synesis Software be liable for any direct, indirect,
 *              incidental, special, exemplary, or consequential damages
 *              (including, but not limited to, procurement of substitute goods
 *              or services; loss of use, data, or profits; or business
 *              interruption) however caused and on any theory of liability,
 *              whether in contract, strict liability, or tort (including
 *              negligence or otherwise) arising in any way out of the use of
 *              this software, even if advised of the possibility of such
 *              damage.
 *
 * ////////////////////////////////////////////////////////////////////////// */


package org.recls;

import java.io.File;
import java.util.Enumeration;

/** This class represents a recursive search
 */
public class FileSearch
	extends Search
    implements Enumeration
{

/// Construction
    /** Creates a new enumerable search */
    public FileSearch(String searchRoot, String pattern, int flags) throws ReclsException
    {
        // Ctors cannot be native
        m_hSearch   =   initialise(searchRoot, pattern, flags);
    }

/// Native method implementations
    private native int      initialise(String searchRoot, String pattern, int flags) throws ReclsException;
}

/* ////////////////////////////////////////////////////////////////////////// */
