

/*
 * http://www.codeproject.com/string/wildcmp.asp
 */


// TODO: Rename to wildmatch() unless can meaningfully return <0 as well as >0

// Just a thought:
// the PathMatchSpec SLWU API could provide similar. I guess it does have some 
// differences (e.g. allowing to specify multiple specs, separated by semicolon), 
// but it might be a simple alternative for many similar tasks.


int wildcmp(char *wild, char *string) {
	char *cp, *mp;
	
	while ((*string) && (*wild != '*')) {
		if ((*wild != *string) && (*wild != '?')) {
			return 0;
		}
		wild++;
		string++;
	}
		
	while (*string) {
		if (*wild == '*') {
			if (!*++wild) {
				return 1;
			}
			mp = wild;
			cp = string+1;
		} else if ((*wild == *string) || (*wild == '?')) {
			wild++;
			string++;
		} else {
			wild = mp;
			string = cp++;
		}
	}
		
	while (*wild == '*') {
		wild++;
	}
	return !*wild;
}



// The C++ guru

// -------------------------------------------------------------------
int wildcmp(const char* wild, const char* string)
// -------------------------------------------------------------------
{
  if(*wild == *string)
    return '\0' == *string || wildcmp(++wild, ++string);

  if('\0' == *string)
    return '*' == *wild && wildcmp(++wild, string);

  switch(*wild)
  {
  case '?':
    return wildcmp(++wild, ++string);

  case '*':
    wild++;

    if('\0' == *wild)
      return 1;
    
    while(*string != '\0')
      if(wildcmp(wild, string++))
        return 1;
    
  default:
    return 0;
  }
}
