
// Updated: 18th July 2004

/** \defgroup group_recls recls
 *  \brief The \ref group_recls "recls C" API. In C++ compilation, it resides within the <code><b>recls</b></code> namespace.
 *  
 */

/** \defgroup group_recls_cpp recls.c++
 *  \ingroup group_recls
 *  \brief The \ref group_recls_cpp "recls C++" mapping. It resides within the <code><b>recls::cpp</b></code> namespace.
 *
 * This mapping contains the classes - \link recls::cpp::FileSearch FileSearch\endlink, 
 * \link recls::cpp::FileEntry FileEntry\endlink, 
 * and 
 * \link recls::cpp::DirectoryParts DirectoryParts\endlink - 
 * which provide a simple C++ wrapping over the \ref group_recls API, handling resource management, and providing easy-to-use
 * object access to the search results.
 */

/** \defgroup group_recls_cs recls-C#
 *  \ingroup group_recls
 *  \brief The \ref group_recls_cs "recls C#" mapping.
 *
 * <b>Note:</b> the help for this is available in a separate MSDN-format .CHM file and online pages available from <a href = "http://recls.org/help/1.1.1/cs/index.html">http://recls.org/help/1.1.1/cs/</a>.
 */

/** \defgroup group_recls_com recls-COM
 *  \ingroup group_recls
 *  \brief The \ref group_recls_com "recls COM" mapping.
 *
 * This mapping contains the coclasses - \link RECLS_COMLib::FileSearch FileSearch\endlink 
 * and 
 * \link RECLS_COMLib::FileEntry FileEntry\endlink - 
 * which provide a wrapping over the \ref group_recls API, handling resource management, and providing easy-to-use
 * object access to the search results.
 */

/** \defgroup group_recls_d recls-D
 *  \ingroup group_recls
 *  \brief The \ref group_recls_d "recls D" mapping.
 *
 * This mapping contains the classes - 
 * \link std.recls.FileSearch FileSearch\endlink, 
 * \link std.recls.FtpSearch FtpSearch\endlink, 
 * and 
 * \link std.recls.Entry Entry\endlink - 
 * which provide a simple D wrapping over the \ref group_recls API, handling resource management, and providing easy-to-use
 * object access to the search results.
 */

/** \defgroup group_recls_java recls-Java
 *  \ingroup group_recls
 *  \brief The \ref group_recls_java "recls Java" mapping.
 *
 * This mapping contains the classes - \link org::recls::Search Search\endlink 
 * and 
 * \link org::recls::Entry Entry\endlink - 
 * which provide a simple Java Native Interface wrapping over the \ref group_recls API, handling resource management, and providing easy-to-use
 * object access to the search results.
 */

/** \defgroup group_recls_ruby recls-Ruby
 *  \ingroup group_recls
 *  \brief The \ref group_recls_ruby "recls Ruby" mapping.
 *
 * This mapping contains the classes - \link Recls::FileSearch FileSearch\endlink 
 *  \link Recls::FtpSearch FtpSearch\endlink 
 * and 
 * \link Recls::Entry Entry\endlink - 
 * which provide a Ruby object model wrapping over the \ref group_recls API, handling resource management, and providing easy-to-use
 * object access to the search results.
 */

/** \defgroup group_recls_stl recls.stl
 *  \ingroup group_recls
 *  \brief The \ref group_recls_stl "recls STL" mapping.
 *
 * This mapping contains the classes - \link recls::stl::basic_search_sequence basic_search_sequence\endlink,
 * \link recls::stl::basic_search_sequence_const_iterator basic_search_sequence_const_iterator\endlink and 
 * \link recls::stl::basic_search_sequence_value_type basic_search_sequence_value_type\endlink - which provide 
 * an STL-like sequence, range and value with which a given recursive search can be conducted, and whose results can be
 * manipulated in an STL-compliant fashion.
 */

/* * \defgroup group_recls_com recls.com
 *  \ingroup group_recls
 *  \brief The \ref group_recls_com "recls COM" mapping.
 */

