
// Updated: 8th June 2004

/** \page releases Releases
 *
 * \section releasepage_version_1_5_1 Version 1.5.1
 *
 * The sixth release of the <b>recls</b> library, coinciding with the sixth 
 * "<b>Positive Integration</b>" column in the September 2004 issue of <a href = "http://www.cuj.com">C/C++ User's Journal</a> 
 *
 * Contains:
 *
 * - version 1.5.1 of the \ref group_recls "recls C API".
 * - the \ref group_recls_cpp "recls C++ mapping", consisting of the \link recls::cpp::FileSearch FileSearch\endlink, \link recls::cpp::FileEntry FileEntry \endlink and \link recls::cpp::DirectoryParts DirectoryParts\endlink classes
 * - the \ref group_recls_cs "recls C# mapping", consisting of the <code>recls.FileSearch</code> and associated classes.
 * - the \ref group_recls_com "recls COM mapping", consisting of the <code>FileSearch</code> and associated coclasses.
 * - the \ref group_recls_d "recls D mapping", consisting of the <code>std.recls.Search</code> and <code>std.recls.Entry</code> classes, along with the full recls function API.
 * - the \ref group_recls_java "recls Java mapping", consisting of the <code>org.recls.Search</code> and <code>org.recls.Entry</code> classes.
 * - the \ref group_recls_ruby "recls Ruby mapping", consisting of the <code>Recls::FileSearch</code> and <code>Recls::FileSearch::Entry</code> classes.
 * - the \ref group_recls_stl "recls STL mapping", consisting of the \link recls::stl::basic_search_sequence basic_search_sequence\endlink and associated classes
 *
 * The \ref group_recls "recls C API".has the following features/restrictions:
 *
 * - can handle multiple filters in the search pattern, e.g. "*.cpp;recls*.java;*.rb;"
 * - now searches FTP sites via \c Recls_SearchFtp(); all mappings have been adjusted accordingly
 *
 * \section releasepage_version_1_4_1 Version 1.4.1
 *
 * The fifth release of the <b>recls</b> library, coinciding with the fifth 
 * "<b>Positive Integration</b>" column in the July 2004 issue of <a href = "http://www.cuj.com">C/C++ User's Journal</a> 
 *
 * Contains:
 *
 * <img src = "cuj-04-07.jpg" align = "right" />
 * - version 1.4.1 of the \ref group_recls "recls C API".
 * - the \ref group_recls_cpp "recls C++ mapping", consisting of the \link recls::cpp::FileSearch FileSearch\endlink, \link recls::cpp::FileEntry FileEntry \endlink and \link recls::cpp::DirectoryParts DirectoryParts\endlink classes
 * - the \ref group_recls_cs "recls C# mapping", consisting of the <code>recls.FileSearch</code> and associated classes.
 * - the \ref group_recls_com "recls COM mapping", consisting of the <code>FileSearch</code> and associated coclasses.
 * - the \ref group_recls_d "recls D mapping", consisting of the <code>std.recls.Search</code> and <code>std.recls.Entry</code> classes, along with the full recls function API.
 * - the \ref group_recls_java "recls Java mapping", consisting of the <code>org.recls.Search</code> and <code>org.recls.Entry</code> classes.
 * - the \ref group_recls_ruby "recls Ruby mapping", consisting of the <code>Recls::FileSearch</code> and <code>Recls::FileSearch::Entry</code> classes.
 * - the \ref group_recls_stl "recls STL mapping", consisting of the \link recls::stl::basic_search_sequence basic_search_sequence\endlink and associated classes
 *
 * The \ref group_recls "recls C API".has the following features/restrictions:
 *
 * - now contains \c Recls_GetRoots(), \c Recls_GetPathNameSeparator(), \c Recls_GetPathSeparator() and \c Recls_GetWildcardsAll() functions
 *
 * \section releasepage_version_1_3_1 Version 1.3.1
 *
 * <img src = "cuj-04-05.gif" align = "right" />
 * The fourth release of the <b>recls</b> library, coinciding with the fourth 
 * "<b>Positive Integration</b>" column in the May 2004 issue of <a href = "http://www.cuj.com">C/C++ User's Journal</a> 
 *
 * Contains:
 *
 * - version 1.3.1 of the \ref group_recls "recls C API".
 * - the \ref group_recls_cpp "recls C++ mapping", consisting of the \link recls::cpp::FileSearch FileSearch\endlink, \link recls::cpp::FileEntry FileEntry \endlink and \link recls::cpp::DirectoryParts DirectoryParts\endlink classes
 * - the \ref group_recls_cs "recls C# mapping", consisting of the <code>recls.FileSearch</code> and associated classes.
 * - the \ref group_recls_com "recls COM mapping", consisting of the <code>FileSearch</code> and associated coclasses.
 * - the \ref group_recls_d "recls D mapping", consisting of the <code>std.recls.Search</code> and <code>std.recls.Entry</code> classes, along with the full recls function API.
 * - the \ref group_recls_java "recls Java mapping", consisting of the <code>org.recls.Search</code> and <code>org.recls.Entry</code> classes.
 * - the \ref group_recls_stl "recls STL mapping", consisting of the \link recls::stl::basic_search_sequence basic_search_sequence\endlink and associated classes
 *
 * The \ref group_recls "recls C API".has the following features/restrictions:
 *
 * - works for ANSI <i>and</i>, on Win32, Unicode
 *
 * \section releasepage_version_1_2_1 Version 1.2.1
 *
 * <img src = "cuj-04-03.gif" align = "right" />
 * The third release of the <b>recls</b> library, coinciding with the third
 * "<b>Positive Integration</b>" column in the March 2004 issue of <a href = "http://www.cuj.com">C/C++ User's Journal</a> 
 *
 * Contains:
 *
 * - version 1.2.1 of the \ref group_recls "recls C API".
 * - the \ref group_recls_cpp "recls C++ mapping", consisting of the \link recls::cpp::FileSearch FileSearch\endlink, \link recls::cpp::FileEntry FileEntry \endlink and \link recls::cpp::DirectoryParts DirectoryParts\endlink classes
 * - the \ref group_recls_cs "recls C# mapping", consisting of the <code>recls.FileSearch</code> and associated classes.
 * - the \ref group_recls_d "recls D mapping", consisting of the <code>std.recls.Search</code> and <code>std.recls.Entry</code> classes, along with the full recls function API.
 * - the \ref group_recls_java "recls Java mapping", consisting of the <code>org.recls.Search</code> and <code>org.recls.Entry</code> classes.
 * - the \ref group_recls_stl "recls STL mapping", consisting of the \link recls::stl::basic_search_sequence basic_search_sequence\endlink and associated classes
 *
 * The \ref group_recls "recls C API".has the following features/restrictions:
 *
 * - ANSI-only. Unicode is planned for version 1.3.1
 * - now works for both Win32 and UNIX. (It has been successfully ported to Linux, and contains no Linux-specific features that would preclude its being successfully built and executed on other UNIX platform.)
 *
 * \section releasepage_version_1_1_1 Version 1.1.1
 *
 * <p>
 * <img src = "cuj-04-01.gif" align = "right" />
 * The second release of the <b>recls</b> library, coinciding with the second 
 * "<b>Positive Integration</b>" column in the January 2004 issue of <a href = "http://www.cuj.com">C/C++ User's Journal</a>
 * </p>
 *
 * Contains:
 *
 * - version 1.1.1 of the \ref group_recls "recls C API".
 * - the \ref group_recls_cpp "recls C++ mapping", consisting of the \link recls::cpp::FileSearch FileSearch\endlink, \link recls::cpp::FileEntry FileEntry \endlink and \link recls::cpp::DirectoryParts DirectoryParts\endlink classes
 * - the \ref group_recls_cs "recls C# mapping", consisting of the <code>recls.FileSearch</code> and associated classes.
 * - the \ref group_recls_stl "recls STL mapping", consisting of the \link recls::stl::basic_search_sequence basic_search_sequence\endlink and associated classes
 *
 * The \ref group_recls "recls C API".has the following features/restrictions:
 *
 * - ANSI-only
 * - Win32-only
 * - only works with a single name filter (i.e. \c "*.cpp" is ok, but not \c "*.cpp;*.java")
 * - can report files and/or directories, according to whether the \link recls::RECLS_FLAG RECLS_FLAG\endlink members \link recls::RECLS_F_FILES RECLS_F_FILES\endlink and \link recls::RECLS_F_DIRECTORIES RECLS_F_DIRECTORIES\endlink are specified
 * - can perform recursive, or non-recursive, search, according to whether the \link recls::RECLS_FLAG RECLS_FLAG\endlink member \link recls::RECLS_F_RECURSIVE RECLS_F_RECURSIVE\endlink is specified
 * - implementation of the \link recls::Recls_SearchProcess Recls_SearchProcess\endlink function.
 *
 * \section releasepage_version_1_0_1 Version 1.0.1
 *
 * <p>
 * <img src = "cuj-03-11.jpg" align = "right"/>
 * The first release of the <b>recls</b> library, coinciding with the first 
 * "<b>Positive Integration</b>" column in November 2003 <a href = "http://www.cuj.com">C/C++ User's Journal</a>
 * </p>
 *
 * Contains:
 *
 * - version 1.0.1 of the \ref group_recls "recls C API". 
 * - the \ref group_recls_cpp "recls C++ mapping", consisting of the \link recls::cpp::FileSearch FileSearch\endlink, \link recls::cpp::FileEntry FileEntry \endlink and \link recls::cpp::DirectoryParts DirectoryParts\endlink classes
 *
 * The \ref group_recls "recls C API".has the following features/restrictions:
 *
 * - ANSI-only
 * - Win32-only
 * - only works with a single name filter (i.e. \c "*.cpp" is ok, but not \c "*.cpp;*.java")
 * - only reports files (as opposed to other file-system entities)
 * - always performs recursive search
 */
