
// Updated: 24th April 2004

/** \page test Test Programs
 *
 * \section testpage_introduction Introduction
 *
 * Version 1.4.1 contains nine test programs.
 *
 * - In the <code>test/C</code> directory is a test program \ref testpage_program_C "C.c" that exercises the \ref group_recls "recls C API" (for Win32)
 * - In the <code>test/Cpp</code> directory is a test program \ref testpage_program_Cpp "Cpp.cpp" that exercises the \ref group_recls_cpp "recls C++ mapping" (for Win32)
 * - In the <code>test/STL</code> directory is a test program \ref testpage_program_STL "STL.cpp" that exercises the \ref group_recls_stl "recls STL mapping" (for Win32)
 * - In the <code>test/CS</code> directory is a test program \ref testpage_program_CS "WinForm.cs" that exercises the \ref group_recls_cs "recls C# mapping"
 * - In the <code>test/COM</code> directory is a test program \ref testpage_program_COM "COM.cpp" that exercises the \ref group_recls_com "recls COM mapping" (for C++)
 * - In the <code>test/COM/VBClient</code> directory is a test program \ref testpage_program_COM_VBClient "VBClient.frm" that exercises the \ref group_recls_com "recls COM mapping" (for Visual Basic)
 * - In the <code>test/D</code> directory are two test programs \ref testpage_program_d1 "recls_test_1.d" and \ref testpage_program_d2 "recls_test_2.d" that exercise the \ref group_recls_d "recls D mapping"
 * - In the <code>test/Java</code> directory is a test program \ref testpage_program_java "recls_test.java" that exercises the \ref group_recls_java "recls Java mapping"
 *
 *
 * \subsection testpage_program_C C.c
 *
 * This program uses the raw \ref group_recls "recls C API" functions, implementing a recursive search for a given pattern, from a given directory 
 *
 * \include C.c
 * 
 *
 * \subsection testpage_program_Cpp Cpp.cpp
 *
 * This program uses the \ref group_recls_cpp "recls C++ mapping" classes, implementing a recursive search for a given pattern, from a given directory (Win32 platform)
 *
 * \include Cpp.cpp
 * 
 *
 * \subsection testpage_program_STL STL.cpp
 *
 * This program uses the \ref group_recls_stl "recls STL mapping" classes, implementing a recursive search for a given pattern, from a given directory 
 *
 * \include STL.cpp
 * 
 *
 * \subsection testpage_program_CS WinForm.cs
 *
 * This program uses the \ref group_recls_cs "recls C# mapping" classes, implementing a recursive search for a given pattern, and other flags, from a given directory 
 *
 * \include WinForm.cs
 * 
 *
 * \subsection testpage_program_COM COM.cpp
 *
 * This program uses the \ref group_recls_com "recls COM mapping" coclasses, implementing a recursive search for a given pattern, and other flags, from a given directory
 *
 * \include COM.cpp
 * 
 *
 * \subsection testpage_program_COM_VBClient VBClient.frm
 *
 * This program uses the \ref group_recls_com "recls COM mapping" coclasses, implementing a recursive search for a given pattern, and other flags, from a given directory
 *
 * \include VBClient.frm
 * 
 *
 * \subsection testpage_program_d1 recls_test_1.d
 *
 * This program uses the free API functions in the \ref group_recls_d "recls D mapping", implementing a recursive search for a given pattern, and other flags, from a given directory 
 *
 * \include recls_test_1.d
 * 
 *
 * \subsection testpage_program_d2 recls_test_2.d
 *
 * This program uses the classes in the \ref group_recls_d "recls D mapping", implementing a recursive search for a given pattern, and other flags, from a given directory 
 *
 * \include recls_test_1.d
 * 
 *
 * \subsection testpage_program_java recls_test.java
 *
 * This program uses the classes in the \ref group_recls_java "recls Java mapping", implementing a recursive search for a given pattern, and other flags, from a given directory 
 *
 * \include recls_test.java
 * 
 */
